%define upstream_name	 Catalyst-Plugin-I18N
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	I18N for Catalyst
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%upstream_name/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 2.99
BuildRequires:	perl(I18N::LangTags::Detect)
BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildRequires:	perl(Locale::Maketext::Simple) >= 0.190.0
BuildRequires:	perl(MRO::Compat)

BuildArch:	noarch


Requires:	perl(Locale::Maketext::Lexicon)

%description
Supports mo/po files and Maketext classes under your applications I18N
namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst/Plugin/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 364042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40285
- mageia rebuild
- imported package perl-Catalyst-Plugin-I18N

